<?php

namespace openkm\bean;

class NoteHistory {

    private $id;
    private $date;
    private $author;
    private $text;
    private $path;
    private $action;

    public function __construct() {
        
    }

    public function getId() {
        return $this->id;
    }

    public function getDate() {
        return $this->date;
    }

    public function getAuthor() {
        return $this->author;
    }

    public function getText() {
        return $this->text;
    }

    public function getPath() {
        return $this->path;
    }

    public function getAction() {
        return $this->action;
    }

    public function setId($id): void {
        $this->id = $id;
    }

    public function setDate($date): void {
        $this->date = $date;
    }

    public function setAuthor($author): void {
        $this->author = $author;
    }

    public function setText($text): void {
        $this->text = $text;
    }

    public function setPath($path): void {
        $this->path = $path;
    }

    public function setAction($action): void {
        $this->action = $action;
    }

}
